Package org.apache.sling.feature.cpconverter.accesscontrol

## Interface AclManager

All Known Implementing Classes:
  `DefaultAclManager`

    public interface AclManager

The Manager able to collect and build System Users and related ACL policies.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `addAccessControlEntry​(@NotNull String systemUser, @NotNull AccessControlEntry acl)`
`boolean` `addGroup​(@NotNull Group group)`
`void` `addMapping​(@NotNull Mapping mapping)`
`void` `addNodetypeRegistration​(@NotNull String cndStatements)`
`void` `addPrivilegeDefinitions​(@NotNull org.apache.jackrabbit.vault.fs.spi.PrivilegeDefinitions privilegeDefinitions)`
`void` `addRepoinitExtension​(@NotNull List<VaultPackageAssembler> packageAssemblers, @NotNull FeaturesManager featureManager)`
`void` `addRepoinitExtention​(@NotNull String source, @Nullable String repoInitText, @Nullable String runMode, @NotNull FeaturesManager featuresManager)`
`boolean` `addSystemUser​(@NotNull SystemUser systemUser)`
`boolean` `addUser​(@NotNull User user)`
`void` `reset()`

### Method Detail

#### addUser

    boolean addUser​(@NotNull
                    @NotNull User user)

#### addGroup

    boolean addGroup​(@NotNull
                     @NotNull Group group)

#### addSystemUser

    boolean addSystemUser​(@NotNull
                          @NotNull SystemUser systemUser)

#### addMapping

    void addMapping​(@NotNull
                    @NotNull Mapping mapping)

#### addAccessControlEntry

    boolean addAccessControlEntry​(@NotNull
                                  @NotNull String systemUser,
                                  @NotNull
                                  @NotNull AccessControlEntry acl)

#### addRepoinitExtension

    void addRepoinitExtension​(@NotNull
                              @NotNull List<VaultPackageAssembler> packageAssemblers,
                              @NotNull
                              @NotNull FeaturesManager featureManager)
                       throws IOException,
                              ConverterException

Throws:
  `IOException`
  `ConverterException`

#### addRepoinitExtention

    void addRepoinitExtention​(@NotNull
                              @NotNull String source,
                              @Nullable
                              @Nullable String repoInitText,
                              @Nullable
                              @Nullable String runMode,
                              @NotNull
                              @NotNull FeaturesManager featuresManager)
                       throws IOException,
                              ConverterException

Throws:
  `IOException`
  `ConverterException`

#### addNodetypeRegistration

    void addNodetypeRegistration​(@NotNull
                                 @NotNull String cndStatements)

#### addPrivilegeDefinitions

    void addPrivilegeDefinitions​(@NotNull
                                 @NotNull org.apache.jackrabbit.vault.fs.spi.PrivilegeDefinitions privilegeDefinitions)

#### reset

    void reset()